#pragma once
#include <memory>
#include <sqlite3.h>

#include "Database.h"

class SqliteInterface
{
public:
    SqliteInterface();

    ~SqliteInterface();

    static std::unique_ptr<SqliteInterface> Create();

    void open(Database* db);

    void close();

    void run(const std::string& statement);

private:
    sqlite3* mSqliteDb;
};

using SqliteInterfacePtr = std::unique_ptr<SqliteInterface>;
